Al instalar el proyecto Maven, obtengo un error de convergencia de dependencia

[WARNING] Rule 3: org.apache.maven.plugins.enforcer.DependencyConvergence failed with message:
    Failed while enforcing releasability the error(s) are [
    Dependency convergence error for xml-apis:xml-apis:1.3.04 paths to 
    dependency are:
    +-com.print.attend: printview: 1.2-SNAPSHOT
      +-com.:string-converter:5.0
        +-org.apache.xmlgraphics:batik-transcoder:1.7
          +-org.apache.xmlgraphics:batik-bridge:1.7
            +-org.apache.xmlgraphics:batik-anim:1.7
              +-xml-apis:xml-apis:1.3.04
    and
    +-com.print.attend: printview: 1.2-SNAPSHOT
      +-com.print.processor:string-converter:5.0
        +-org.apache.xmlgraphics:batik-transcoder:1.7
          +-org.apache.xmlgraphics:batik-bridge:1.7
            +-org.apache.xmlgraphics:batik-css:1.7
              +-xml-apis:xml-apis:1.3.04
    and
    +-com.print.attend: printview: 1.2-SNAPSHOT
      +-com.print.processor:string-converter:5.0
        +-org.apache.xmlgraphics:batik-transcoder:1.7
          +-org.apache.xmlgraphics:batik-bridge:1.7
            +-org.apache.xmlgraphics:batik-ext:1.7
              +-xml-apis:xml-apis:1.3.04
     and
     +-com.print.attend: printview: 1.2-SNAPSHOT
       +-com.print.processor:string-converter:5.0
         +-org.apache.xmlgraphics:batik-transcoder:1.7
           +-org.apache.xmlgraphics:batik-bridge:1.7
             +-xml-apis:xml-apis:1.3.04
     and
     +-com.print.attend: printview: 1.2-SNAPSHOT
       +-com.print.processor:string-converter:5.0
         +-org.apache.xmlgraphics:batik-transcoder:1.7
           +-org.apache.xmlgraphics:batik-dom:1.7
             +-xml-apis:xml-apis:1.3.04
     and
     +-com.print.attend: printview: 1.2-SNAPSHOT
       +-com.print.processor:string-converter:5.0
         +-org.apache.xmlgraphics:batik-transcoder:1.7
           +-org.apache.xmlgraphics:batik-gvt:1.7
             +-xml-apis:xml-apis:1.3.04
     and
     +-com.print.attend: printview: 1.2-SNAPSHOT
       +-com.print.processor:string-converter:5.0
         +-org.apache.xmlgraphics:batik-transcoder:1.7
           +-org.apache.xmlgraphics:batik-svg-dom:1.7
             +-xml-apis:xml-apis:1.3.04
     and
     +-com.print.attend: printview: 1.2-SNAPSHOT
       +-com.print.processor:string-converter:5.0
         +-org.apache.xmlgraphics:batik-transcoder:1.7
           +-org.apache.xmlgraphics:batik-svggen:1.7
             +-xml-apis:xml-apis:1.3.04
    and
    +-com.print.attend: printview: 1.2-SNAPSHOT
      +-com.print.processor:string-converter:5.0
        +-org.apache.xmlgraphics:batik-transcoder:1.7
          +-xml-apis:xml-apis:1.3.04
    and
    +-com.print.attend: printview: 1.2-SNAPSHOT
      +-com.print.processor:string-converter:5.0
        +-com.cer.clinrpt.core:cr-core:6.0
         +-xml-apis:xml-apis:1.3.04
    and
    +-com.print.attend: printview: 1.2-SNAPSHOT
      +-com.print.processor:string-converter:5.0
        +-com.clip.editor:cr-core:6.0
          +-org.apache.xmlgraphics:batik-codec:1.7
            +-xml-apis:xml-apis:1.3.04
    and
    +-com.print.attend: printview: 1.2-SNAPSHOT
      +-com.print.processor:string-converter:5.0
        +-xml-apis:xml-apis:1.3.04
    and
    +-com.print.attend: printview: 1.2-SNAPSHOT
        +-com.print.common.procedural:common-procedural-jsap:1.0
          +-org.hibernate:hibernate-entitymanager:3.4.0.GA
            +-dom4j:dom4j:1.6.1
              +-xml-apis:xml-apis:1.0.b2

Al instalar el proyecto maven en intellij, recibo este error. ¿Cómo resolver esto?

Respuesta 1

Construyo la imagen desde Dockerfile: DESDE ubuntu RUN apt-get update Luego guardo la imagen en mi computadora local y obtuve este archivo, por ejemplo: archive.ubuntu.com_ubuntu_dists_bionic_restricted_binary -...

Tengo el siguiente código mediante el cual creo un tipo de archivo basado en un archivo pre-creado "test.brd" y también llamo al método getAbsolutePath () en este archivo, todo esto funciona correctamente. Sin embargo, cuando ejecuto el ...

Estoy escribiendo una integración Camel que puede consumir un número arbitrario de consultas y ejecutarlas contra un número arbitrario de bases de datos. La ruta comienza obteniendo todas las consultas ubicadas en un ...

Estoy escribiendo una aplicación donde un usuario puede cargar archivos .rdf y luego ejecutar consultas SPARQL en él. En este momento estoy atascado en cómo formatear el resultado de la consulta. Por ejemplo: una ASK-Query genera un ...